<div>
    <h2>
        <span jhiTranslate="typerApp.game.home.title">Games</span>
        <button class="btn btn-primary float-right jh-create-entity create-game" [routerLink]="['/', { outlets: { popup: ['game-new'] } }]">
            <span class="fa fa-plus"></span>
            <span  jhiTranslate="typerApp.game.home.createLabel">
            Create new Game
            </span>
        </button>
    </h2>
    <jhi-alert></jhi-alert>
    <div class="row">
    </div>
    <br/>
    <div class="table-responsive" *ngIf="games">
        <table class="table table-striped">
            <thead>
            <tr>
            <th><span jhiTranslate="typerApp.game.date">Date</span></th>
            <th><span jhiTranslate="typerApp.game.gameResult">Host Result</span></th>
            <th><span jhiTranslate="typerApp.game.host">Host</span></th>
            <th><span jhiTranslate="typerApp.game.guest">Guest</span></th>
            <th><span jhiTranslate="typerApp.game.league">League</span></th>
            <th></th>
            </tr>
            </thead>
            <tbody>
            <tr *ngFor="let game of games ;trackBy: trackId">
                <td>{{game.date | date:'medium'}}</td>
                <td>{{game.hostResult != null && game.guestResult != null ? game.hostResult + ':' + game.guestResult : 'Brak wyniku'}}</td>
                <td>
                    <div *ngIf="game.host">
                        <a [routerLink]="['../team', game.host?.id ]" >{{game.host?.name}}</a>
                    </div>
                </td>
                <td>
                    <div *ngIf="game.guest">
                        <a [routerLink]="['../team', game.guest?.id ]" >{{game.guest?.name}}</a>
                    </div>
                </td>
                <td>
                    <div *ngIf="game.league">
                        <a [routerLink]="['../league', game.league?.id ]" >{{game.league?.name}}</a>
                    </div>
                </td>
                <td class="text-right">
                    <div class="btn-group flex-btn-group-container">
                        <button type="submit"
                                [routerLink]="['../game', game.id ]"
                                class="btn btn-info btn-sm">
                            <span class="fa fa-eye"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.view">View</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'game/'+ game.id + '/edit'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-primary btn-sm">
                            <span class="fa fa-pencil"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.edit">Edit</span>
                        </button>
                        <button type="submit"
                                [routerLink]="['/', { outlets: { popup: 'game/'+ game.id + '/delete'} }]"
                                replaceUrl="true"
                                queryParamsHandling="merge"
                                class="btn btn-danger btn-sm">
                            <span class="fa fa-remove"></span>
                            <span class="d-none d-md-inline" jhiTranslate="entity.action.delete">Delete</span>
                        </button>
                    </div>
                </td>
            </tr>
            </tbody>
        </table>
    </div>
</div>
